# Claim target coin

If you want to claim a target coin, you can use `claimTargetCoin`

```typescript
const order = await sdk.LimitOrder.getLimitOrder('0x24aaffb2f9785c110da3b670e0...')
if (order && order.status === LimitOrderStatus.Running) {
  const payload = await sdk.LimitOrder.claimTargetCoin({
    order_id: order.id,
    pay_coin_type: order.pay_coin_type,
    target_coin_type: order.target_coin_type,
  })
  const tx_result = await sdk.FullClient.executeTx(send_key_pair, payload, false)
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-limit-sdk/claim-target-coin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
